Reply
Thread Tools
Posts: 3,319 | Thanked: 5,603 times | Joined on Aug 2008 @ Finland
#1
Yes, you're not seeing double, there is another QtM release, I have released the techpreview release of QtMobility 1.2 into extras-devel ! Now, if the QtM 1.1 has the feel of a medium rare steak this one is closer to raw But, otherwise it wouldn't be the bleeding edge we cherish and love, so there, check out libqtm-12-*, have fun with it.

Like the other release, to use these packages you need do to CONFIG += mobility12 in your .pro file instead of just 'mobility' (as mobility will reference always the official one from the firmware). It should be parallel-installable with 1.0.2 (the official PR1.3 one) and 1.1 (my lilbqtm-11 release).

Install howto: http://wiki.forum.nokia.com/index.ph...ation_on_Maemo

I will keep on keep on upgrading both libqtm-11 and libqtm-12 as their respective releases are made (and push them to Extras when they become stable).

For more info see
http://labs.qt.nokia.com/2010/12/24/...ology-preview/

Short version, what this brings in addition to the 1.1 features is
- Bluetooth API
- NFC API
- Lots of SysInfo stuff (backlight, slider, etc)
- etc
__________________
Blogging about mobile linux - The Penguin Moves!
Maintainer of PyQt (see introduction and docs), AppWatch, QuickBrownFox, etc

Last edited by attila77; 01-21-2011 at 07:18 PM.
 

The Following 48 Users Say Thank You to attila77 For This Useful Post:
clasificado's Avatar
Posts: 466 | Thanked: 180 times | Joined on Feb 2010
#2
nice to read! lets try it. thanks dude
 

The Following User Says Thank You to clasificado For This Useful Post:
MohammadAG's Avatar
Posts: 2,473 | Thanked: 12,203 times | Joined on Oct 2009 @ Jerusalem, PS/IL
#3
Does this include the connectivity API? Can't seem to be able to compile an app that uses the bluetooth API.
 
Posts: 3,319 | Thanked: 5,603 times | Joined on Aug 2008 @ Finland
#4
Upped new version, added missing connectivity files, please check
__________________
Blogging about mobile linux - The Penguin Moves!
Maintainer of PyQt (see introduction and docs), AppWatch, QuickBrownFox, etc
 
Posts: 3,319 | Thanked: 5,603 times | Joined on Aug 2008 @ Finland
#5
Good news everyone ! I uploaded 1.2.0 final to extras-devel, enjoy, lots'a fixes and tweaks since the techpreview, especially in the location APIs. I would like you to give this a good shake, as 1.2.0 is going to go Extras sooner or later (as this is an upstream stable release).
__________________
Blogging about mobile linux - The Penguin Moves!
Maintainer of PyQt (see introduction and docs), AppWatch, QuickBrownFox, etc
 

The Following 19 Users Say Thank You to attila77 For This Useful Post:
Posts: 435 | Thanked: 760 times | Joined on Apr 2010
#6
I'm not able to use organizer 1.2 fn module. With 1.1 fn I had no problem(aside the birthday calendar not showing off any entry), but with 1.2 I can't run the binary on N900.

These are the steps I did:
Following this I have installed dev and organizerpackages on QtSdk. I noted organizer module is not a dependency of dev package, but versit and declarative. It's the only package libtm-dev doesn't depend on.
Than I have installed libqtm-12-organizer (1:1.2.0-0fn(tilde)fremantle0) on N900.

I compile on QtSDK with mobility12, run qmake, force scanning etc, I check that the include I use is from C:\QtSDK\Maemo\4.6.2\sysroots\fremantle-arm-sysroot-20.2010.36-2-slim\opt\qtm12\include\QtOrganizer\qorganizermanag er.h so it's the correct version. When launching on n900 I get this error:
"error while loading shared libraries: libQtOrganizer.so.1: cannot open shared object file: No such file or directory".

Than I checked /opt/qtm12/lib but libQtOrganizer.so.1 is there and it's a symlink to libQtOrganizer.so.1.2.0.

Last edited by gionni88; 05-22-2011 at 05:42 AM.
 
Posts: 200 | Thanked: 354 times | Joined on Nov 2009
#7
Originally Posted by attila77 View Post
Good news everyone ! I uploaded 1.2.0 final to extras-devel, enjoy, lots'a fixes and tweaks since the techpreview, especially in the location APIs. I would like you to give this a good shake, as 1.2.0 is going to go Extras sooner or later (as this is an upstream stable release).
Hey! Thanks a lot. Unfortunately I have to mention that the performance of the 1.2.0 final is not as good as the one of the 1.2.0 tech preview.

For example adding map objects to the the map (map->addMapObject()) takes about 150ms while the tech preview did this in 1ms.

Also the map dragging/flicking performance is waaay slower than the tech preview if there are a lot of map objects (We have about 200 QGeoMapPixmapObjects).

Unfortunately this regression can also be seen on the desktop where inserting a QGeoMapObject now takes about 15ms while 1.1.3 did this in less than 1ms.

This makes the QGraphicsGeoMap rather useless on the N900. Any suggestions how we could speed things up while getting the fixes from 1.2.0?

If you want a live example of the slowdown install "getmewheels" from the extras-devel/testing repository and start it once with the 1.2.0~tp1 and then with the 1.2.0-fn. You will notice the difference immediately.
 
Posts: 2 | Thanked: 2 times | Joined on May 2011
#8
Originally Posted by gionni88 View Post
I'm not able to use organizer 1.2 fn module. With 1.1 fn I had no problem(aside the birthday calendar not showing off any entry), but with 1.2 I can't run the binary on N900.

These are the steps I did:
Following this I have installed dev and organizerpackages on QtSdk. I noted organizer module is not a dependency of dev package, but versit and declarative. It's the only package libtm-dev doesn't depend on.
Than I have installed libqtm-12-organizer (1:1.2.0-0fn(tilde)fremantle0) on N900.

I compile on QtSDK with mobility12, run qmake, force scanning etc, I check that the include I use is from C:\QtSDK\Maemo\4.6.2\sysroots\fremantle-arm-sysroot-20.2010.36-2-slim\opt\qtm12\include\QtOrganizer\qorganizermanag er.h so it's the correct version. When launching on n900 I get this error:
"error while loading shared libraries: libQtOrganizer.so.1: cannot open shared object file: No such file or directory".

Than I checked /opt/qtm12/lib but libQtOrganizer.so.1 is there and it's a symlink to libQtOrganizer.so.1.2.0.
I had a similar issue with the location library. Please see http://maemo.org/packages/package_in...fn~fremantle0/ and check if patching the mobility12.prf helps
 

The Following User Says Thank You to cfetzer For This Useful Post:
Posts: 3,319 | Thanked: 5,603 times | Joined on Aug 2008 @ Finland
#9
The prf will be fixed as soon as I get back from #meegoconf. As for performance, it seems to be an upstream issue - can you check if there is a bug report already about this perfomrmance regression and file one if not ?
__________________
Blogging about mobile linux - The Penguin Moves!
Maintainer of PyQt (see introduction and docs), AppWatch, QuickBrownFox, etc
 
Posts: 435 | Thanked: 760 times | Joined on Apr 2010
#10
@ cfetzer: I have changed the path as you have written and now app starts without any problem.

But...

The Organizer managers shown with qtm1.1 are 4: maemo5, memory, skeleton and another one, with qtm1.2 there are only memory and skeleton. It doesn't recognize maemo5 organizer manager so I still can't use it :/

Thanks anyway.
 
Reply

Tags
bluetooth, nfc-api, qtmobility

Thread Tools

 
Forum Jump


All times are GMT -4. The time now is 07:52 PM.